vSphere 6.5 and 6.7 End of Support Is Fast Approaching

Heather Eakin

It’s hard to believe that vSphere and vSAN 6.5 and 6.7 are already nearing their end of support dates. Wait, didn’t we just upgrade to them? It certainly seems that way. Unfortunately, the deadline is looming. Both 6.5 and 6.7 are headed to End of Support status on October 15, 2022. Then End of Technical Guidance for 6.5 and 6.7 is November 15, 2023.

What Do End of Support and End of Technical Guidance Mean to Me?

It can be pretty confusing to understand what exactly happens on October 15. How is End of Support different than End of Technical Guidance?

First off, End of Support, often known as End of Life, means that there will be no more patches released for 6.5 or 6.7, including bug and security patches. You can expect that harmful actors will focus on exploiting new vulnerabilities that can no longer be patched on or after the deadline. It can be a significant business risk to run on an unsupported platform.

You will also no longer have access to VMware vSphere support via phone, but you will be able to log web-based help tickets. The results of these tickets will often be to reference you to knowledge base (KB) articles about known issues and their remediation steps. This support will typically be best effort, meaning your problem may or may not reach resolution. The web-based support is what is known as technical guidance. That will only last until November 15, 2023.

Start Planning Your vSphere 6.5 Upgrade Now

We highly recommend that you start planning your upgrade now while you still have support. Here are some key steps that you will want to consider.

1. Determine what is in scope for the upgrade. Consider all the VMware products you are using and how an upgrade of vSphere will affect compatibility with other software products. You may find if you are using another product that this product needs to be upgraded too (either before or after the vSphere upgrade happens). After all, each version is only compatible with specific versions of other VMware software. The more products you use, the more of a challenge it will be to determine which version you should run. 

Check the VMware Hardware Compatibility List to see if your hardware is listed for your target version. If it isn’t listed, you might need to replace your storage or server infrastructure as well. If your hardware isn’t supported and you run into trouble, you will receive limited help from VMware vSphere support.

2. Plan to upgrade your vCenter before you update your hosts. vCenter cannot manage a host that runs a higher level of ESXi. For this reason, it must be upgraded before you upgrade your hosts.

3. Upgrade your hosts. If you have adequate resources, you can evacuate the host and perform the upgrade without disruption during normal business hours. You would simply move workloads back to the hardware when you are done with the upgrade. If you do not have adequate resources to run the VMs or do not have the ability to evacuate a host, you will need to schedule maintenance windows for this work. 

4. Finish the update by updating the VMTools and Hardware version on the virtual machines. Depending which version of VMTools and Hardware you have running, you may need to reboot the VM. We find that some people get stuck at this step. After all, rebooting a server usually requires a maintenance window and sometimes end user validation that the virtual machine or application is functioning correctly. However, it is important to complete this step. 

VMTools allows for better management of the virtual machine and helps the ESXi host operating system communicate with the VM operating system. It also provides some useful functionality for rebooting, video resolution, mouse movement, sound, and synchronization of time.

The Virtual Hardware version may need some consideration, as each version gives additional capabilities to the virtual machine, but also only functions with a certain VMware software level. For example, if you have two data centers, one running ESXi 7.0 U2 (7.0.2) and another running ESXi 7.0 (7.0.0), and you want to make sure that the virtual machines can run at either data center, you will need to choose a hardware version that is supported on both software levels. For example, you would not choose Virtual Hardware version 19, as it is only supported with ESXi 7.0 U2 (7.0.2) and not ESXi 7.0 (7.0.0). 

We Can Help

This can be a pretty complex process, and you might not have the time to develop and execute a comprehensive plan that will allow you to upgrade painlessly and with the minimal amount of down time. If you need help, Connection has a technical team who can assist you with planning and performing your vSphere and vSAN upgrade. Contact an Account Manager to get started.

Heather is Senior Manager of the Data Center Practice at Connection with more than 24 years of experience in data center, virtualization, and networking technologies. She holds a Master of Science in Information Technology Management, as well as certifications from the ITIL Foundation and Security+.

© 2020 CONNECTION, INC. ALL RIGHTS RESERVED.